- Qt 6.4
- Qt Core
- Obsolete Members for <QtAlgorithms>
- Qt 6.4.2 Reference Documentation

# Obsolete Members for <QtAlgorithms>

The following members of class <QtAlgorithms> are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Functions

`(deprecated)` void | qSwap(T &var1, T &var2)

## Function Documentation

### template <typename T> void qSwap(T &var1, T &var2)

This function is deprecated. We strongly advise against using it in new code.

Use `std::swap` instead.

Exchanges the values of variables var1 and var2.

Example:

     double pi = 3.14;
     double e = 2.71;

     qSwap(pi, e);
     // pi == 2.71, e == 3.14